Subject: bug#21130: test fail: 'tests/ls/stat-failed'

From: Paul Eggert <[email-masked]>
Date: Sat, 25 Jul 2015 16:57:14 -0700

Assaf Gordon wrote:
> it seems that the returned type is always 'directory':

Wow,that's quite a bug.  I imagine it affects programs other than 'ls'.  Sounds 
like it needs to be fixed in the file system or kernel, as it's not realistic to 
install workarounds in every application that uses readdir.

Is the bug reproducible on a more-modern Linux kernel?  2.6.32 is projected for 
end-of-life around now, according to 
<https://www.kernel.org/category/releases.html>.  If the bug doesn't appear in 
3.2 or newer, I wouldn't worry about it.

I found a machine with an old kernel (RHEL 6.6 with kernel 
2.6.32-504.12.2.el6.x86_64) and could not reproduce the bug with a Network 
Appliance NFS server.  So perhaps the bug is Isilon-specific rather than 
kernel-specific.  If so, Isilon should fix it.